[arch-commits] Commit in tdb/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Oct 3 11:43:08 EDT 2008


    Date: Friday, October 3, 2008 @ 11:43:08
  Author: tpowa
Revision: 14092

upgpkg: tdb 3.2.4-1

Modified:
  tdb/trunk/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-03 15:42:24 UTC (rev 14091)
+++ PKGBUILD	2008-10-03 15:43:08 UTC (rev 14092)
@@ -3,19 +3,27 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=tdb
-pkgver=1.0.6
-pkgrel=3
+pkgver=3.2.4
+pkgrel=1
+# We use the 'A' to fake out pacman's version comparators.  Samba chooses
+# to append 'a','b',etc to their subsequent releases, which pamcan
+# misconstrues as alpha, beta, etc.  Bad samba!
+_realver=3.2.4
 pkgdesc="A Trivial Database similar to GDBM but allows simultaneous commits"
-depends=('glibc')
-source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz gcc3.patch)
-url="http://sourceforge.net/projects/tdb/"
-md5sums=('6b643fdeb48304010dcd5f675e458b58' '2057e2ee24effd3318a85cbe66c216e2')
+arch=(i686 x86_64)
+license=('GPL3')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
+url="www.samba.org"
+source=(http://us1.samba.org/samba/ftp/samba-${_realver}.tar.gz)
+options=(!makeflags)
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  patch -p1 -i $startdir/src/gcc3.patch
-  ./configure --prefix=/usr
-  make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+   cd ${startdir}/src/samba-${_realver}/source/lib/tdb
+   ./autogen.sh
+   ./configure --prefix=/usr
+   make || return 1
+   make DESTDIR=$startdir/pkg install
+   ln -sf /usr/lib/libtdb.so.1.1.1 $startdir/pkg/usr/lib/libtdb.so.1
+   ln -sf /usr/lib/libtdb.so.1.1.1 $startdir/pkg/usr/lib/libtdb.so
 }
+md5sums=('7870a6bb3a025c6081cd56688acd494a')




More information about the arch-commits mailing list